apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    defaultConfig {
        //applicationId "com.yutou.jianrmg_v2"
        applicationId "com.yutou.jianr_mg"
        minSdkVersion 19
        targetSdkVersion 28
        versionCode 2
        versionName "2.2"
        testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        ndk {
            abiFilters "armeabi", "armeabi-v7a", "x86", "mips"
        }
    }
    signingConfigs {
        release {
            storeFile file('D:\\AndroidKeys\\yutou.jks')
            storePassword '34864394'
            keyAlias 'yutou'
            keyPassword '34864394'
        }
        debug {
            storeFile file('D:\\AndroidKeys\\yutou.jks')
            storePassword '34864394'
            keyAlias 'yutou'
            keyPassword '34864394'
        }

    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            signingConfig signingConfigs.release
        }
    }
    compileOptions {
        targetCompatibility 1.8
        sourceCompatibility 1.8
    }

}
configurations.all {
    resolutionStrategy.eachDependency { DependencyResolveDetails details ->
        def requested = details.requested
        if (requested.group == 'com.android.support') {
            if (!requested.name.startsWith("multidex")) {
                details.useVersion '27.1.1'
            }
        }
    }
}
dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')

    //noinspection GradleCompatible
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'

    //implementation 'com.android.support:design:26.1.0'
    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'com.android.support.test:runner:1.0.2'
    androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'

    //okhttp
    implementation 'com.squareup.okhttp3:okhttp:3.11.0'

    //FastJson
    implementation 'com.alibaba:fastjson:1.2.41'

    //轮播图
    implementation 'com.bigkoo:convenientbanner:2.0.5'

    //图片流缓存
    implementation 'com.nostra13.universalimageloader:universal-image-loader:1.9.5'

    //圆形图片
    implementation 'com.github.siyamed:android-shape-imageview:0.9.3@aar'

    //滑动Tabs
    implementation 'com.ogaclejapan.smarttablayout:library:1.6.1@aar'
    implementation 'com.ogaclejapan.smarttablayout:utils-v13:1.6.1@aar'

    //MD 对话框
    implementation 'me.drakeet.materialdialog:library:1.3.1'

    //载入界面
    implementation 'com.kaopiz:kprogresshud:1.1.0'

    //文本编辑器
    implementation 'com.github.louisgeek:ClassicLinesEditView:1.0.2'

    //文件选择器
    implementation 'com.leon:lfilepickerlibrary:1.8.0'

    //富文本展示  #关注更新
    implementation 'com.zzhoujay.richtext:richtext:3.0.7'

    //底端对话框
    implementation 'com.orhanobut:dialogplus:1.11@aar'

    //二维码扫描
    implementation 'com.dlazaro66.qrcodereaderview:qrcodereaderview:2.0.3'

    //底端菜单
    implementation 'me.majiajie:pager-bottom-tab-strip:2.3.0'

    //刷新载入
    implementation project(path: ':RefreshRecyclerView')

    //图片形状
    implementation 'com.github.siyamed:android-shape-imageview:0.9.3@aar'

    //毛玻璃
    implementation 'jp.wasabeef:glide-transformations:3.0.0'

    //图表
    implementation 'com.github.PhilJay:MPAndroidChart:v3.0.3'

    //Spinner
    implementation 'com.github.arcadefire:nice-spinner:1.3.4'

    //glide
    implementation 'com.github.bumptech.glide:glide:4.9.0'
    annotationProcessor 'com.github.bumptech.glide:compiler:4.9.0'

    //友盟
    implementation 'com.umeng.umsdk:analytics:8.0.0'
    implementation 'com.umeng.umsdk:common:2.0.0'

    //友盟推动
    implementation 'com.umeng.umsdk:utdid:1.1.5.3'
    implementation 'com.umeng.umsdk:push:5.0.2'

    /*   api project(path: ':BaseModel')
                api project(path: ':GameDataModel')
                api project(path: ':AppHome')
                api project(path: ':MgListModel')
                api project(path: ':ResModl')
                api project(path: ':UserModel')*/
    implementation files('libs/tbs_sdk_thirdapp_v3.6.0.1371_43624_sharewithdownload_withoutGame_obfs_20181106_121046.jar')
    //七牛云
    implementation 'com.qiniu:qiniu-android-sdk:7.3.15'
    //zip4j
    implementation group: 'net.lingala.zip4j', name: 'zip4j', version: '1.3.3'
    //卡顿检测
   // implementation 'com.github.markzhai:blockcanary-android:1.5.0'
}
